org.h2gis.functions.spatial.distance

## Class ST_MaxDistance

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.distance.ST_MaxDistance

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_MaxDistance
    extends org.h2gis.api.DeterministicScalarFunction

Compute the maximum distance between two geometries.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_MaxDistance()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static Double` `maxDistance(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB)` Return the maximum distance

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_MaxDistance

    public ST_MaxDistance()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### maxDistance

    public static Double maxDistance(org.locationtech.jts.geom.Geometry geomA,
                                     org.locationtech.jts.geom.Geometry geomB)

Return the maximum distance

Parameters:
  `geomA` -
  `geomB` -
Returns: